import request from '@/utils/request'

// 新增 成套设备
export const addCompleteSetToolsApi = (data) => {
    return request.post('/material/maWhole/addOrUpdate', data)
}
// 查询 成套设备列表
export const getCompleteSetToolsApi = (data) => {
    return request.get('/material/maWhole/selectList', {
        params: data,
    })
}
// 删除 成套设备单条数据
export const delCompleteSetToolsApi = (data) => {
    return request.post('/material/maWhole/deleteById', data)
}
// 查询编辑 成套设备单
export const queryCompleteSetToolsApi = (data) => {
    return request.get('/material/maWhole/selectListById', {
        params: data,
    })
}
// 查询 成套设备详情
export const queryCompleteSetDetailsApi = (data) => {
    return request.get('/material/maWhole/selectListByWholeTypeName', {
        params: data,
    })
}
